## ovn 22.03.3

=== debian/changelog ===
ovn (22.03.3-0ubuntu0.22.04.5) jammy-security; urgency=medium

  * SECURITY UPDATE: ACL bypass in logical switch with DNS records
    - debian/patches/CVE-2025-0650.patch: skip only OVN DNS responder
      packets from OUT_ACL in controller/pinctrl.c,
      include/ovn/logical-fields.h, lib/logical-fields.c, northd/northd.c,
      tests/ovn.at.
    - CVE-2025-0650

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 09:56:48 -0500

ovn (22.03.3-0ubuntu0.22.04.3) jammy; urgency=medium

  * d/control: Update openvswitch-source build dependency version.
  * d/p/lp-2056769-ftbfs.patch: Fix FTBFS (LP: #2056769).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 14 Mar 2024 14:22:40 +0000

ovn (22.03.3-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Insufficient validation of incoming BFD packets
    - debian/patches/CVE-2024-2182.patch: set check_tnl_key for BFD on
      tunnel ifaces in controller/bfd.c, tests/ovn.at.
    - CVE-2024-2182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 19:42:46 -0500

ovn (22.03.3-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version 22.03.3 (LP: #2034675).
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 07 Sep 2023 08:17:55 +0000
