## ovn 22.03.8

=== debian/changelog ===
ovn (22.03.8-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream point release 22.03.8 (LP: #2119301).
  * d/p/CVE-2024-2182.patch: Drop, included in point release.
  * d/p/CVE-2025-0650.patch: Drop, included in point release.
  * d/p/lp-2056769-ftbfs.patch: Drop, included in point release.
  * d/p/lp-2119151-Revert-northd-Don-t-skip-the-unSNAT-stage-for-traffi.patch:
    [Hardware Offload] Fix traffic from SNATed networks to Load Balancer
    VIPs (LP: #2119151).
  * d/flaky-tests.txt: Added flaky test for s390x architecture.

 -- Martin Kalcok <martin.kalcok@canonical.com>  Thu, 31 Jul 2025 11:57:22 +0000
