## ovn 22.09.0

=== debian/changelog ===
ovn (22.09.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1988564).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 21 Sep 2022 16:58:37 +0100

ovn (22.06.0-0ubuntu3) kinetic; urgency=medium

  * d/rules, d/ovn-common.install: Properly fix the ovn-detrace binary
    (LP: #1971178).
  * d/gbp.conf: Add the package components.
  * d/rules, d/flaky-tests.txt: Extend skip test list.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 31 Aug 2022 10:25:38 +0100

ovn (22.06.0-0ubuntu2) kinetic; urgency=medium

  * d/flaky-tests.txt: Amend pattern to correctly skip tests.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jul 2022 19:21:03 +0100

ovn (22.06.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * d/control: Update openvswitch build requirement.
  * d/ovn-common.install: Add missing ovn_detrace.py binary (LP: #1971178).
  * d/rules, d/testlist.py, d/flaky-tests.txt:
    - Dynamically build list of tests to run from list of test descriptions.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 18 Jul 2022 17:34:42 +0100
