=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.17.9-0ubuntu0.22.04.1~),
+ openvswitch-source (>= 3.0.0~),
  pkg-config,
  procps,
  python3-all-dev,
