## ovn 22.09.1

=== debian/changelog ===
ovn (22.09.1-0ubuntu0.22.10.1~cloud1) jammy-zed; urgency=medium

  * CVE-2024-2182: Fix insufficient validation of incoming BFD packets
    (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 10:36:15 +0000

ovn (22.09.1-0ubuntu0.22.10.1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Feb 2023 08:18:07 +0000

ovn (22.09.1-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream version 22.09.1 (LP: #2003054).
  * d/control: Bump openvswitch build requirement.
  * d/flaky-tests.txt: Extend list of flaky tests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 17 Jan 2023 09:32:56 +0100
