=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 3.0.0~),
+ openvswitch-source (>= 3.0.3-0ubuntu0.22.10.1~),
  pkg-config,
  procps,
  python3-all-dev,
