=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 		--enable-ssl \
 		--with-vif-plug-provider=$(CURDIR)/ovn-vif
 
-# Last Review: 22.03.0
+# Last Review: 22.06.0
 # https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
 TEST_LIST = $(shell \
 		$(CURDIR)/debian/testlist.py \
