## ovn 22.12.0

=== debian/changelog ===
ovn (22.12.0-4) unstable; urgency=medium

  * Extend list of tests to skip (LP: #2002475, LP: #2002476, LP:
    #2002477).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 11 Jan 2023 09:23:01 +0100

ovn (22.12.0-3) unstable; urgency=medium

  * d/ovn-host.preinst: Do not clear runtime state on package upgrade
    (LP: #1940043).
  * d/control: Bump version requirement for bash (LP: #1997093).
  * d/skip-tests.txt, d/flaky-tests-amd64.txt: Re-enable "ovn-controller
    incremental processing" test (LP: #1997093).
  * d/rules: Re-enable test suite.
  * d/p/a810bd80f572eefb2c14096a1413a45d7673314d.patch: Fix OVN VIF Python
    3.11 build failure.
  * d/skip-tests.txt: Skip Check NB-SB mirrors sync (LP: #2002406).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 10 Jan 2023 14:59:46 +0100

ovn (22.12.0-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sat, 17 Dec 2022 17:48:19 +0000

ovn (22.12.0-1) experimental; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/22.12.0'
  * Bump dependency on openvswitch-source
  * Temporarily disable tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 16:18:10 +0000

ovn (22.09.0-3) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/flaky-tests-i386.txt: Extend flaky test list for i386

 -- Luca Boccassi <bluca@debian.org>  Thu, 01 Dec 2022 14:05:59 +0100

ovn (22.09.0-2) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/flaky-tests-i386.txt: Extend flaky test list for i386

 -- Luca Boccassi <bluca@debian.org>  Wed, 30 Nov 2022 18:04:48 +0100

ovn (22.09.0-1) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/22.09.0'
  * d/testlist.py: Support reading stdin and comments in list
  * d/rules: Add common test skip list
  * d/skip-tests.txt: Skip 'ovn-controller incremental processing'
    which currently has a false negative result due to a regression
    in bash 5.2 (LP: #1997093).
  * d/control: Update openvswitch-source build dependency version

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Nov 2022 11:52:41 +0000

ovn (22.03.1-7) unstable; urgency=medium

  * Add "1 LR with distributed router gateway port" and
    "2 HVs, 2 lports/HV, localnet ports, DVR N-S Ping" to flacky-armhf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Nov 2022 15:20:47 +0100

ovn (22.03.1-6) unstable; urgency=medium

  * d/flaky-tests-*: ovn-controller incremental processing (Closes: #1019991).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Nov 2022 12:52:27 +0100

ovn (22.03.1-5) unstable; urgency=medium

  * Team upload.
  * d/flaky-tests-mipsel: extend list

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Aug 2022 03:16:13 +0100

ovn (22.03.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 21:03:07 +0100

ovn (22.03.1-3) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/flaky-tests-armel.txt, d/flaky-tests-armhf.txt: Extend list
  * d/rules, d/ovn-common.install: Properly fix the ovn-detrace binary
    (LP: #1971178).

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Aug 2022 10:10:55 +0100

ovn (22.03.1-2) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/gbp.conf: Move components option to default section
  * d/flaky-tests-mips64el.txt: Skip "nb_cfg timestamp"
  * d/changelog: Remove surplus item

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Aug 2022 14:15:57 +0100

ovn (22.03.1-1) experimental; urgency=medium

  * Update to 22.03, merge Debian, Ubuntu and upstream packaging.
    - d/control: add misc:Pre-Depends for compat 13 to pkgs with services
    - d/rules: Remove unused and incorrect UPSTREAM_GIT variable
    - d/rules: Drop include /usr/share/openstack-pkg-tools/pkgos.make
    - d/rules: Update hardening config
    - d/rules: Drop autoreconf override
    - d/control: switch to debhelper-compat (= 13)
    - d/copyright: Remove leftovers from OVS/OVN split
    - d/ovn-common.install: Add missing ovn_detrace.py binary (LP: ##1971178).
    - d/rules: Determine testlist at build time
    - d/gbp.conf: Add gbp configuration
    - d/watch: Update watch file
    - d/gbp.conf, d/watch: Add ovn-vif component
    - d/rules: Enable building with OVN VIF
    - d/control: Update openvswitch build-/runtime- dep
    - d/source/include-binaries: Allow binary diff for ovn-vif logo
    - d/control Add BD on libudev-dev
    - d/not-installed: We don't package the header- or library files
    - d/control, d/*.install: Move ovn-ic-*ctl to ovn-common
    - d/ovn-common.install: Add missing manpages
    - d/ovn-common.install: Add missing bugtool files
    - d/control: Update standards version to 4.6.1
    - d/copyright: Add ovn-vif, remove unused lgpl-2.1-with-exception
    - d/rules: Add helper for creating snapshots from upstream git
    - d/p: Drop debian automake.mk patch

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 03 Aug 2022 10:38:50 +0200

ovn (21.06.0+ds1-14) unstable; urgency=medium

  * ppc64el: also blacklist 810.
  * mips64el: also blacklist 945.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 11:49:51 +0200

ovn (21.06.0+ds1-13) unstable; urgency=medium

  * More blacklist for mipsel and ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 10:48:41 +0200

ovn (21.06.0+ds1-12) unstable; urgency=medium

  * More blacklist for armel.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 18:42:15 +0200

ovn (21.06.0+ds1-11) unstable; urgency=medium

  * mipsel: disable unit test 151 and 624.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 14:34:00 +0200

ovn (21.06.0+ds1-10) unstable; urgency=medium

  * Really blacklist 578 on i386 and more.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 12:28:07 +0200

ovn (21.06.0+ds1-9) unstable; urgency=medium


