=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Uploaders:
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- autoconf (>= 2.64),
- automake (>= 1.10) | automake1.10,
+ autoconf,
+ automake,
+ bash (>= 5.2.15~),
  bzip2,
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -18,7 +20,8 @@
  libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 3.0.3-0ubuntu0.22.10.1~),
+ openstack-pkg-tools,
+ openvswitch-source (>= 3.1.0~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -26,13 +29,14 @@
  python3-sortedcontainers,
  python3-sphinx,
  tcpdump,
-Standards-Version: 4.4.0
-Homepage: https://github.com/ovn-org/ovn
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
+Homepage: http://openvswitch.org/
 
 Package: ovn-central
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
@@ -42,9 +46,9 @@
  ${shlibs:Depends},
 Description: OVN central components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-central provides the userspace daemons, utilities and
  databases for OVN that is run at a central location.
@@ -55,26 +59,31 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ ovn-ic-db (<< 22.03~),
+Replaces:
+ ovn-ic-db (<< 22.03~),
 Description: OVN common components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-common provides components required by other OVN packages.
 
 Package: ovn-controller-vtep
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in
- OVN, the Open Virtual Network, for VTEP enabled physical switches.
- It connects up to the OVN Southbound database over the OVSDB protocol,
- and down to the VTEP database over the OVSDB protocol.
+ ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
+ Network, for VTEP enabled physical switches. It connects up to the OVN
+ Southbound database over the OVSDB protocol, and down to the VTEP database
+ over the OVSDB protocol.
  .
  ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
  vtep gateways.
@@ -113,6 +122,7 @@
 
 Package: ovn-host
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
@@ -131,6 +141,7 @@
 
 Package: ovn-ic
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
@@ -152,6 +163,7 @@
 
 Package: ovn-ic-db
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
