=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf,python3,sphinxdoc
-
-# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
-DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
-override_dh_autoreconf:
-	dh_autoreconf $(DH_AS_NEEDED)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -37,7 +33,7 @@
 			--with-ovn-source=$(CURDIR) \
 			--enable-plug-representor && \
 		make $(PARALLEL)
-	# Use dh_auto_configure to reconfigure OVN with ovn-vif
+	# Use dh_auto_configure to build OVN
 	dh_auto_configure -- \
 		--prefix=/usr \
 		--localstatedir=/var \
@@ -47,12 +43,10 @@
 		--enable-ssl \
 		--with-vif-plug-provider=$(CURDIR)/ovn-vif
 
-# Last Review: 22.06.0
-# https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
 TEST_LIST = $(shell \
-		$(CURDIR)/debian/testlist.py \
-		$(CURDIR)/debian/flaky-tests.txt \
-		$(CURDIR)/tests/testsuite)
+	        cat $(CURDIR)/debian/skip-tests.txt \
+                    $(CURDIR)/debian/flaky-tests-$(DEB_HOST_ARCH).txt | \
+                $(CURDIR)/debian/testlist.py - $(CURDIR)/tests/testsuite)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -73,28 +67,23 @@
 	cd ovn-vif && make distclean | :
 	rm -rf ovs
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ovn-detrace
 	mv $(CURDIR)/debian/tmp/usr/bin/ovn_detrace.py \
 		$(CURDIR)/debian/tmp/usr/bin/ovn-detrace
-
 
 override_dh_installinit:
 	# Package does not ship any init.d files
 	dh_installinit --no-scripts
 
-override_dh_systemd_enable:
-	dh_systemd_enable -povn-central --name=ovn-northd
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
-	dh_systemd_enable -povn-host --name=ovn-controller
-	dh_systemd_enable
-
-override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-northd
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-sb
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-nb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
+	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
+	dh_installsystemd --restart-after-upgrade
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
@@ -103,7 +92,7 @@
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
 BRANCH=main
-VERSION=22.03.0
+VERSION=22.09.0
 
 get-orig-snapshot:
 	rm -Rf ovn-upstream ovn-vif-upstream
