## ovn 23.03.0

=== debian/changelog ===
ovn (23.03.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045869).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Aug 2023 13:15:37 +0200

ovn (23.03.0-2) unstable; urgency=medium

  * Added Build-Depends: architecture-is-64-bit, since the upstream code isn't
    32-bits compatible. See https://bugs.launchpad.net/neutron/+bug/2025985
    for more details.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jul 2023 13:54:40 +0200

ovn (23.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.03.0'

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 06 Mar 2023 09:14:26 +0100

ovn (23.03.0~git20230221.038cfb1-1) unstable; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/23.03.0_git20230221.038cfb1'
  * d/gbp.conf: Set snapshot branch to branch-23.03
  * d/p/a810bd80f572eefb2c14096a1413a45d7673314d.patch: Drop, included in
    snapshot.
  * d/skip-tests.txt: Extend list of flaky tests (LP: #2007923).
  * d/control: Drop dependencies on lsb-base, deprecated.
  * d/control: Bump Standards-Version to 4.6.2, no changes.
  * d/control: Bump openvswitch-source build requirement.

  [ Luca Boccassi ]
  * Set Rules-Requires-Root

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Feb 2023 13:32:19 +0000
