=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
  autoconf,
  automake,
  bash (>= 5.2.15~),
@@ -21,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.1.0~),
+ openvswitch-source (>= 3.1.0-1~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -29,7 +30,8 @@
  python3-sortedcontainers,
  python3-sphinx,
  tcpdump,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
 Homepage: http://openvswitch.org/
@@ -38,7 +40,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
@@ -75,7 +76,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -124,7 +124,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-switch (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
@@ -143,7 +142,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
@@ -165,7 +163,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
