=== debian/changelog ===
ovn (23.03.1-1~deb12u2) bookworm; urgency=medium

  * Team upload.
  * CVE-2024-2182: Fix insufficient validation of incoming BFD packets
    (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 14:49:48 +0100

ovn (23.03.1-1~deb12u1) bookworm; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.03.1'
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.
    (Closes: #1043598)
  * d/p/*vif-plug-representor*: Lower severity of failure to set udev
    receive buffer size (LP: #2034700).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 08 Sep 2023 09:02:09 +0200
