=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- architecture-is-64-bit,
  autoconf,
  automake,
  bash (>= 5.2.15~),
