## ovn 23.09.0

=== debian/changelog ===
ovn (23.09.0-2) unstable; urgency=medium

  * Team upload.
  * d/rules: openvswitch-source now ships as a directory tree.
  * d/control: Bump openvswitch-source version dependency.
  * d/p/revert-ovs-python-build-rename.patch: Drop, redundant after
    updated openvswitch-source dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 02 Nov 2023 17:18:11 +0100

ovn (23.09.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.09.0'
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.
    (Closes: #1043598)
  * d/p/revert-ovs-python-build-rename.patch: Revert OVN adaption for not
    yet released OVS build system changes (LP: #2036397).
  * d/control: Add python3-scapy build dependency.
  * d/flaky-tests-s390x.txt: Add failing test case.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 18 Sep 2023 08:34:18 +0200
