=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
  autoconf,
  automake,
  bash (>= 5.2.15~),
@@ -21,10 +22,11 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.1.0-1~),
+ openvswitch-source (>= 3.2.2~),
  pkg-config,
  procps,
  python3-all-dev,
+ python3-scapy,
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,
