=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 
 override_dh_auto_configure:
 	# Configure OVS before OVN
-	test -d $(CURDIR)/ovs || mkdir ovs
-	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
+	test -d $(CURDIR)/ovs || cp -R /usr/src/openvswitch ovs
 	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
 	# Configure OVN to allow building OVN VIF
 	./boot.sh && ./configure \
@@ -66,6 +65,23 @@
 	dh_auto_clean
 	cd ovn-vif && make distclean | :
 	rm -rf ovs
+	rm -rf ovn-vif/Documentation/_build
+	rm -rf ovn-vif/build-aux/compile
+	set -e ; set -x ; for i in config.guess config.sub depcomp install-sh ltmain.sh missing ; do rm rm -rf ovn-vif/build-aux/$$i ; done
+	rm -f ovn-vif/config.status ovn-vif/configure ovn-vif/docs-check ovn-vif/lib/.dirstamp
+	rm -rf ovn-vif/lib/.libs
+	rm -f ovn-vif/lib/*.o
+	rm -f ovn-vif/lib/vif-plug-providers/representor/.dirstamp  ovn-vif/lib/vif-plug-providers/representor/tests_ovstest-vif-plug-representor.o ovn-vif/lib/vif-plug-providers/representor/vif-plug-representor.o \
+		ovn-vif/tests/.dirstamp ovn-vif/tests/ovstest
+	rm -f ovn-vif/tests/*.o
+	rm -f ovn-vif/tests/system-kmod-testsuite
+	rm -f ovn-vif/utilities/devlink ovn-vif/utilities/devlink.o
+	rm -f tests/perf-testsuite tests/system-kmod-testsuite tests/system-userspace-testsuite tests/testsuite
+	rm -f ovn-vif/libtool ovn-vif/tests/testsuite ovn-vif/utilities/.dirstamp package.m4 rhel/ovn-fedora.spec
+
+	set -e ; set -x ; for i in Makefile Makefile.in aclocal.m4 config.h config.h.in config.log distfiles include/ovn-vif/version.h lib/libovn-vif.la lib/libovn-vif.sym lib/netlink-devlink.lo lib/ovn-vif.lo lib/vif-plug-providers/representor/vif-plug-representor.lo libtool m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 package.m4 stamp-h1 tests/atconfig tests/atlocal tests/testsuite ; do \
+		rm -f ovn-vif/$$i ; \
+	done
 
 execute_after_dh_auto_install:
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ovn-detrace
@@ -91,8 +107,8 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=main
-VERSION=22.09.0
+BRANCH=branch-23.03
+VERSION=23.03.0
 
 get-orig-snapshot:
 	rm -Rf ovn-upstream ovn-vif-upstream
