## ovn 23.09.3

=== debian/changelog ===
ovn (23.09.3-0ubuntu0.23.10.1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Thu, 25 Jul 2024 10:03:11 +0000

ovn (23.09.3-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream point release 23.09.3 (LP: #2059087).
  * d/p/CVE-2024-2182.patch: Drop, included in point releae.
  * d/tests: No change backport of autopkgtests from noble.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Fri, 29 Mar 2024 08:56:00 +0000

ovn (23.09.0-1ubuntu1) mantic; urgency=medium

  * d/control: Update openvswitch-source build dependency version.
  * d/p/revert-ovs-python-build-rename.patch: Drop to fix FTBFS
    (LP: #2056769).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 14 Mar 2024 14:34:06 +0000

ovn (23.09.0-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Insufficient validation of incoming BFD packets
    - debian/patches/CVE-2024-2182.patch: set check_tnl_key for BFD on
      tunnel ifaces in controller/bfd.c, tests/ovn.at.
    - CVE-2024-2182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 19:40:42 -0500
