=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  architecture-is-64-bit,
  autoconf,
  automake,
- bash (>= 5.2.15~),
  bzip2,
  debhelper-compat (= 13),
  dh-python,
@@ -22,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.2.2~),
+ openvswitch-source (>= 3.2.2-0ubuntu0.23.10.1~),
  pkg-config,
  procps,
  python3-all-dev,
