=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 override_dh_auto_configure:
 	# Configure OVS before OVN
-	test -d $(CURDIR)/ovs || cp -R /usr/src/openvswitch ovs
+	test -d $(CURDIR)/ovs || mkdir ovs
+	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
 	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
 	# Configure OVN to allow building OVN VIF
 	./boot.sh && ./configure \
