## ovn 24.03.1

=== debian/changelog ===
ovn (24.03.1-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:18 +1100

ovn (24.03.1-2ubuntu2) noble; urgency=medium

  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64
    (LP: #2059400).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 28 Mar 2024 14:25:09 +0000

ovn (24.03.1-2ubuntu1) noble; urgency=medium

  * d/rules: Fix check for ovs populated from openvswitch-source.
  * d/t/control: Add missing architecture restrictions for
    openvswitch-switch-dpdk.
  * d/t/run-tests.sh: Fix autopkgtest for binary packages (LP: #2057998).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Fri, 15 Mar 2024 07:23:05 +0000

ovn (24.03.1-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-tests.sh: Fix typo in autopkgtest script.
  * d/rules: Skip tests deemed unstable by upstream.
  * d/skip-tests.txt: Add flaky test to the skip-list.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 13 Mar 2024 14:49:23 +0100

ovn (24.03.1-1) unstable; urgency=medium

  * Team upload.
  * d/tests: Run system test suites for autopkgtest.
  * Update upstream source from tag 'upstream/24.03.1'.
    - CVE-2024-2182: Fix insufficient validation of incoming BFD packets
      (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 14:37:17 +0100

ovn (24.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/24.03.0'.
  * d/control: Replace pkg-config with pkgconf as build dependency.
  * d/control: Update openvswitch-source build dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 04 Mar 2024 13:30:04 +0100

ovn (24.03.0~git20240205.ebb7076-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/24.03.0_git20240205.ebb7076'.
  * d/control: Update openvswitch dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 05 Feb 2024 07:20:16 +0000
