=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  architecture-is-64-bit,
  autoconf,
  automake,
+ bash (>= 5.2.15~),
  bzip2,
  debhelper-compat (= 13),
  dh-python,
@@ -22,8 +23,8 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.2.2-0ubuntu0.23.10.1~),
- pkg-config,
+ openvswitch-source (>= 3.3.0-1~),
+ pkgconf,
  procps,
  python3-all-dev,
  python3-scapy,
