## ovn 24.03.2

=== debian/changelog ===
ovn (24.03.2-2maysync1) oracular; urgency=medium

  [ Roberto Bartzen Acosta ]
  * Fix ovn-ic.service systemd script (LP: #2063260)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 04 Jun 2024 16:27:14 +0200

ovn (24.03.2-2) unstable; urgency=medium

  * Team upload.
  * d/p/lp-2066194-tests-Ignore-ovs-vswitchd-received-packet-on-
    unknown.patch: Avoid false negative test result due to intermittent
    warning message from ovs-vswitchd.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 20 May 2024 20:51:04 +0200

ovn (24.03.2-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix check for ovs populated from openvswitch-source.
  * d/t/control: Drop i386 from architecture restrictions.
  * d/t/control: Add missing architecture restrictions for openvswitch-
    switch-dpdk.
  * d/t/run-tests.sh: Fix autopkgtest for binary packages (LP: #2057998).
  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64 (LP:
    #2059400).
  * Update upstream source from tag 'upstream/24.03.2'
  * d/ovn-common.install: Add new ovn-debug binary.
  * d/control: Bump openvswitch-source version.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 18 May 2024 22:06:21 +0200
