=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -23,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.3.0-1~),
+ openvswitch-source (>= 3.3.0-5~),
  pkgconf,
  procps,
  python3-all-dev,
