=== debian/changelog ===
ovn (24.03.6-0ubuntu0.24.04.1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Sep 2025 16:21:49 +0000

ovn (24.03.6-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream point release 24.03.6 (LP: #2119289).
  * d/control: Bump openvswitch-source version.
  * d/p/CVE-2025-0650.patch: Drop, redundant after point
    release update.
  * d/p/lp-2119151-Revert-northd-Don-t-skip-the-unSNAT-stage-for-traffi.patch:
    [Hardware Offload] Fix traffic from SNATed networks to Load Balancer
    VIPs (LP: #2119151).

 -- Martin Kalcok <martin.kalcok@canonical.com>  Fri, 01 Aug 2025 08:42:42 +0000

ovn (24.03.2-0ubuntu0.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: ACL bypass in logical switch with DNS records
    - debian/patches/CVE-2025-0650.patch: skip only OVN DNS responder
      packets from OUT_ACL in controller/pinctrl.c,
      include/ovn/logical-fields.h, lib/logical-fields.c, northd/northd.c,
      tests/ovn.at.
    - CVE-2025-0650

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 09:53:26 -0500

ovn (24.03.2-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream point release 24.03.2 (LP: #2066908).
  * d/control: Bump openvswitch-source version.
  * d/ovn-common.install: Add new ovn-debug binary.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 23 May 2024 13:28:23 +0000
