=== debian/tests/control ===
--- 
+++ 
@@ -26,12 +26,12 @@
  conntrack,
  curl,
  devscripts,
- dpdk-dev [amd64 ppc64el arm64 riscv64],
+ dpdk-dev [amd64 i386 ppc64el arm64 riscv64],
  ethtool,
  equivs,
  net-tools,
  ncat,
- openvswitch-switch-dpdk [amd64 ppc64el arm64 riscv64],
+ openvswitch-switch-dpdk [amd64 i386 ppc64el arm64 riscv64],
  python3-pyftpdlib,
  python3-scapy,
  tcpdump,
