## ovn 24.09.0

=== debian/changelog ===
ovn (24.09.0-1~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 18 Sep 2024 15:23:41 +0000

ovn (24.09.0-1) unstable; urgency=medium

  * Team upload.

  [ Roberto Bartzen Acosta ]
  * Fix ovn-ic.service systemd script.

  [ Frode Nordahl ]
  * d/control: Bump openvswitch-source dependency.
  * d/tests: Use build-needed restriction field.
  * Update upstream source from tag 'upstream/24.09.0'.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 16 Sep 2024 13:49:12 +0200
