## ovn 25.03.0~git20250216.7c69af7

=== debian/changelog ===
ovn (25.03.0~git20250216.7c69af7-2) unstable; urgency=medium

  * Blacklist "virtual port claim race condition" on riscv (Closes: #1099595).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 09:28:30 +0100

ovn (25.03.0~git20250216.7c69af7-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/25.03.0_git20250216.7c69af7'
  * d/control: Bump openvswitch dependency to 3.5.0~.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sun, 16 Feb 2025 17:13:40 +0000
