=== debian/changelog ===
ovn (25.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/25.03.0'.
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch: Fix
    system test failure due to incompatibility with python3-scapy 2.6.1
    (LP: #2104222).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 31 Mar 2025 15:35:50 +0000
