=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.4.0-1~),
+ openvswitch-source (>= 3.5.0~),
  pkgconf,
  procps,
  python3-all-dev,
